/****************************************************************************/
/* GF19 ( 予約語管理ﾃｰﾌﾞﾙ )                                                 */
/*                                                                          */
/* Created : 2022/11/10 17:41:04                                            */
/****************************************************************************/


CREATE TABLE GF19 (
   DBNAME       VARCHAR2 (   20 )                   NOT NULL            /*  10 DB名称       */
 , YOYAKU       VARCHAR2 (   60 )                   NOT NULL            /*  20 予約語       */
 , CDYOYAKU     VARCHAR2 (    1 )       DEFAULT '0' NOT NULL            /*  30 予約語種別   */
 , NAME_JA      VARCHAR2 (  200 )                                       /*  40 名称         */
 , ALTERNATE    VARCHAR2 ( 1000 )                                       /*  50 代替候補     */
 , CONTENTS     CLOB                                                    /*  60 内容         */
 , RANKCOM      VARCHAR2 (    1 )       DEFAULT '0' NOT NULL            /*  70 共通化ﾗﾝｸ    */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR2 (   14 )                                       /* 820 作成日時     */
 , PGSET        VARCHAR2 (   50 )                                       /* 830 作成PG       */
 , PGPSET       VARCHAR2 (   50 )                                       /* 840 作成親PG     */
 , USRSET       VARCHAR2 (   30 )                                       /* 850 作成者       */
 , DYUPD        VARCHAR2 (   14 )                                       /* 860 更新日時     */
 , PGUPD        VARCHAR2 (   50 )                                       /* 870 更新PG       */
 , PGPUPD       VARCHAR2 (   50 )                                       /* 880 更新親PG     */
 , USRUPD       VARCHAR2 (   30 )                                       /* 890 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K );



CREATE SEQUENCE GF19S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF19T00 
  BEFORE INSERT ON GF19
  FOR EACH ROW 
  BEGIN 
    SELECT GF19S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
