/****************************************************************************/
/* GF74 ( QUERY状態ﾃｰﾌﾞﾙ )                                                  */
/*                                                                          */
/* Created : 2022/11/10 17:41:04                                            */
/****************************************************************************/


CREATE TABLE GF74 (
   SYSTEM_ID    VARCHAR2 (   10 )                   NOT NULL            /*  10 ｼｽﾃﾑID       */
 , TBLSYU       VARCHAR2 (    1 )                   NOT NULL            /*  20 ﾃｰﾌﾞﾙ種別    */
 , ADDRESS      VARCHAR2 (  256 )                                       /*  30 ｱﾄﾞﾚｽ        */
 , FILENAME     VARCHAR2 (   60 )                                       /*  40 ﾌｧｲﾙ名       */
 , FILEPATH     VARCHAR2 (  256 )                                       /*  50 ﾌｧｲﾙﾊﾟｽ      */
 , MODIFIED     VARCHAR2 (   14 )                                       /*  60 最終更新日時 */
 , TAGNAME      VARCHAR2 (   30 )                                       /*  80 ﾀｸﾞ名称      */
 , CLMS         VARCHAR2 ( 4000 )                                       /*  90 ｶﾗﾑ一覧      */
 , TABLEID      VARCHAR2 (   50 )                                       /* 100 ﾃｰﾌﾞﾙID      */
 , SQL_TYPE     VARCHAR2 (   30 )                                       /* 110 ｸｴﾘｰﾀｲﾌﾟ     */
 , DBID         VARCHAR2 (   20 )                                       /* 110 ﾃﾞｰﾀﾍﾞｰｽID   */
 , TABLE_NAMES  VARCHAR2 ( 4000 )                                       /* 110 ﾃｰﾌﾞﾙ一覧    */
 , JSP_SCOPE    VARCHAR2 (   20 )                                       /* 110 ｽｺｰﾌﾟ        */
 , FGOMIT       VARCHAR2 (    1 )       DEFAULT '0' NOT NULL            /* 110 除外ﾌﾗｸﾞ     */
 , SQL_TEXT     CLOB                                                    /* 110 検索         */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR2 (   14 )                                       /* 820 作成日時     */
 , PGSET        VARCHAR2 (   50 )                                       /* 830 作成PG       */
 , PGPSET       VARCHAR2 (   50 )                                       /* 840 作成親PG     */
 , USRSET       VARCHAR2 (   30 )                                       /* 850 作成者       */
 , DYUPD        VARCHAR2 (   14 )                                       /* 860 更新日時     */
 , PGUPD        VARCHAR2 (   50 )                                       /* 870 更新PG       */
 , PGPUPD       VARCHAR2 (   50 )                                       /* 880 更新親PG     */
 , USRUPD       VARCHAR2 (   30 )                                       /* 890 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K );



CREATE SEQUENCE GF74S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF74T00 
  BEFORE INSERT ON GF74
  FOR EACH ROW 
  BEGIN 
    SELECT GF74S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
